Google Web Toolkit
Search Google Code:

# Class JMethod

public class JMethod
extends JAbstractMethod
Represents a method declaration.

## Constructors

JMethod(JClassType, String, int, int, int, int) |

## Methods

getEnclosingType() | Gets the type in which this method or constructor was declared.
getReadableDeclaration() |
getReadableDeclaration(boolean, boolean, boolean, boolean, boolean) |
getReturnType() |
isAbstract() |
isConstructor() |
isFinal() |
isMethod() |
isNative() |
isStatic() |
setReturnType(JType) |
toString() |

## Constructor Detail

### JMethod

public JMethod(JClassType enclosingType, String name, int declStart, int declEnd, int bodyStart, int bodyEnd)

#### Parameters

enclosingType
name
declStart
declEnd
bodyStart
bodyEnd

## Method Detail

### getEnclosingType

public abstract JClassType getEnclosingType()
Gets the type in which this method or constructor was declared.

### getReadableDeclaration

public abstract String getReadableDeclaration()

### getReadableDeclaration

public String getReadableDeclaration(boolean noAccess, boolean noNative, boolean noStatic, boolean noFinal, boolean noAbstract)

#### Parameters

noAccess
noNative
noStatic
noFinal
noAbstract

### getReturnType

public JType getReturnType()

### isAbstract

public boolean isAbstract()

### isConstructor

public abstract JConstructor isConstructor()

### isFinal

public boolean isFinal()

### isMethod

public abstract JMethod isMethod()

### isNative

public boolean isNative()

### isStatic

public boolean isStatic()

### setReturnType

public void setReturnType(JType type)

#### Parameters

type

### toString

public String toString()